#include <iostream>
using namespace std;

int main()
{
    int king,queen, top, oficer, kon, peska;
    int N=2;
    for (int i=1; i<=N; i=i+1)
    {
        cin>> king>>queen>>top>>oficer>>kon>> peska;
        if (king-1>0)
        {
            king=king-(king+1);
            cout<<king;
        }
        else
        {
            king=king+(king+1);
            cout<<king;
        }



        if (queen-1>0)
        {
            queen=queen-(queen+1);
            cout<<queen;
        }
        else
        {
            queen=queen+(queen+1);
            cout<<queen;
        }


        if (top-2>0)
        {
            top=top-(top+1);
            cout<<top;
        }
        else
        {
            top=top+(top+1);
            cout<<top;
        }

        if (oficer-2>0)
        {
            oficer=oficer-(oficer+1);
            cout<<oficer;
        }
        else
        {
            oficer=oficer+(oficer+1);
            cout<<oficer;
        }


        if (kon-2>0)
        {
            kon=kon-(kon+1);
            cout<<kon;
        }
        else
        {
            kon=kon+(kon+1);
            cout<<kon;
        }


        if ( peska-8>0)
        {
            peska= peska-( peska+1);
            cout<<peska;
        }
        else
        {
            peska= peska+( peska+1);
            cout<<peska;
        }



    }


    return 0;
}
